> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration details



## OpenAPI

````yaml GET /integrations/{id}
openapi: 3.0.1
info:
  title: OpenAPI Matia
  description: Matia API using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.matia.io/v1
security:
  - ApiKeyAuth: []
paths:
  /integrations/{id}:
    get:
      summary: Get the details of a specific integration
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: The ID of the integration
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIntegrationDetailsApiResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetIntegrationDetailsApiResponse:
      type: object
      properties:
        code:
          type: string
        data:
          type: object
          properties:
            integration:
              $ref: '#/components/schemas/IntegrationObject'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
    IntegrationObject:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        createdAt:
          type: string
          format: date-time
        paused:
          type: boolean
        source:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
        destination:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
        latestRunId:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````